> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Reprocess Flipbook

> Re-run the render (e.g. after a transient failure).



## OpenAPI

````yaml https://api.vellaro.io/openapi.json post /api/v1/admin/flipbooks/{flipbook_id}/reprocess
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/admin/flipbooks/{flipbook_id}/reprocess:
    post:
      tags:
        - admin:flipbooks
      summary: Reprocess Flipbook
      description: Re-run the render (e.g. after a transient failure).
      operationId: reprocess_flipbook_api_v1_admin_flipbooks__flipbook_id__reprocess_post
      parameters:
        - name: flipbook_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Flipbook Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_FlipbookOut_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ApiResponse_FlipbookOut_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/FlipbookOut'
            - type: 'null'
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[FlipbookOut]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FlipbookOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        slug:
          type: string
          title: Slug
        title_i18n:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Title I18N
        status:
          type: string
          title: Status
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        source_pdf_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Pdf Url
        page_count:
          type: integer
          title: Page Count
        width:
          anyOf:
            - type: integer
            - type: 'null'
          title: Width
        height:
          anyOf:
            - type: integer
            - type: 'null'
          title: Height
        published:
          type: boolean
          title: Published
        show_on_homepage:
          type: boolean
          title: Show On Homepage
          default: false
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        public_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Public Url
      type: object
      required:
        - id
        - slug
        - title_i18n
        - status
        - error
        - source_pdf_url
        - page_count
        - width
        - height
        - published
        - created_at
        - updated_at
      title: FlipbookOut
      description: Admin view — full state incl. status/error and the source PDF.
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.